OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeBoundedSurface Class Reference

This class implements the mapping between classes
BoundedSurface from Geom and the class BoundedSurface from
StepGeom which describes a BoundedSurface from prostep.
As BoundedSurface is an abstract BoundedSurface this class
is an access to the sub-class required.
.

`#include <GeomToStep_MakeBoundedSurface.hxx>`

Inheritance diagram for GeomToStep_MakeBoundedSurface:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeBoundedSurface (const Handle(Geom_BoundedSurface)&C)
Standard_EXPORT const Handle_StepGeom_BoundedSurface & | Value () const
## Private Attributes
Handle_StepGeom_BoundedSurface | theBoundedSurface

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeBoundedSurface::GeomToStep_MakeBoundedSurface | ( | const Handle(Geom_BoundedSurface)& | C | ) |

## Member Function Documentation

void GeomToStep_MakeBoundedSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBoundedSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBoundedSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_BoundedSurface& GeomToStep_MakeBoundedSurface::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_BoundedSurface GeomToStep_MakeBoundedSurface::theBoundedSurface`[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeBoundedSurface.hxx